Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.model
Class OboXmlGoParser

    java.lang.Object
      |
      +--edu.hust.go.model.GoParser
            |
            +--edu.hust.go.model.XmlGoParser
                  |
                  +--edu.hust.go.model.OboXmlGoParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.DTDHandler, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

public class OboXmlGoParser
extends XmlGoParser

Field Summary

Fields inherited from class edu.hust.go.model.XmlGoParser
`curDocument, curElement, parser, targetElementName`

Fields inherited from class edu.hust.go.model.GoParser
`dataPool, defaultPoolSize, defaultThreadNumber, m_ParserActive, OBO, OBOXML, OWL, poolSize, RDFXML, target, termMap, threadNumber, threadPool`

Constructor Summary
`OboXmlGoParser(java.lang.String _target)`
`OboXmlGoParser(java.lang.String _target, int _maxThreadNumber)`
`OboXmlGoParser(java.lang.String _target, int _maxThreadNumber, int _maxPoolSize)`

Method Summary
`edu.hust.go.term.GO_term` | `getGoTermById(java.lang.String id)`

Methods inherited from class edu.hust.go.model.XmlGoParser
`attributeDecl, characters, comment, elementDecl, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, error, externalEntityDecl, fatalError, getTargetElementName, ignorableWhitespace, init, internalEntityDecl, notationDecl, parseTarget, printError, processingInstruction, setDocumentLocator, setTargetElementName, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class edu.hust.go.model.GoParser
`addDataToPool, addTermToMap, getDataFromPool, getTermMap, parse, parsingInProgress, queueProcessed, removeThread, setParserActive, setParsingComplete, threadActive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OboXmlGoParser

    public OboXmlGoParser(java.lang.String _target)

### OboXmlGoParser

    public OboXmlGoParser(java.lang.String _target,
                          int _maxThreadNumber)

### OboXmlGoParser

    public OboXmlGoParser(java.lang.String _target,
                          int _maxThreadNumber,
                          int _maxPoolSize)

Method Detail

### getGoTermById

    public edu.hust.go.term.GO_term getGoTermById(java.lang.String id)

  Specified by:
    `getGoTermById` in class `GoParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD